aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Synopsis

- data SetIdentityFeedbackForwardingEnabled = SetIdentityFeedbackForwardingEnabled {
  - sffForwardingEnabled :: Bool
  - sffIdentity :: Text
  }
- data SetIdentityFeedbackForwardingEnabledResponse = SetIdentityFeedbackForwardingEnabledResponse

# Documentation

data SetIdentityFeedbackForwardingEnabled #

Change whether bounces and complaints for the given identity will be forwarded as email.

Constructors

SetIdentityFeedbackForwardingEnabled |

Fields

- sffForwardingEnabled :: Bool
- sffIdentity :: Text

#### Instances

Instances details

SignQuery SetIdentityFeedbackForwardingEnabled # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Associated Types

type ServiceConfiguration SetIdentityFeedbackForwardingEnabled |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ServiceConfiguration SetIdentityFeedbackForwardingEnabled = SesConfiguration

Methods

signQuery :: SetIdentityFeedbackForwardingEnabled -> ServiceConfiguration SetIdentityFeedbackForwardingEnabled queryType -> SignatureData -> SignedQuery #

Show SetIdentityFeedbackForwardingEnabled # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled Methods showsPrec :: Int -> SetIdentityFeedbackForwardingEnabled -> ShowS # show :: SetIdentityFeedbackForwardingEnabled -> String # showList :: [SetIdentityFeedbackForwardingEnabled] -> ShowS #
Eq SetIdentityFeedbackForwardingEnabled # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled Methods (==) :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> Bool # (/=) :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> Bool #
Ord SetIdentityFeedbackForwardingEnabled # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Methods

compare :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> Ordering #

(<) :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> Bool #

(<=) :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> Bool #

(>) :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> Bool #

(>=) :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> Bool #

max :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled #

min :: SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled -> SetIdentityFeedbackForwardingEnabled #

ResponseConsumer SetIdentityFeedbackForwardingEnabled SetIdentityFeedbackForwardingEnabledResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Associated Types

type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityFeedbackForwardingEnabled -> IORef (ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse) -> HTTPResponseConsumer SetIdentityFeedbackForwardingEnabledResponse #

Transaction SetIdentityFeedbackForwardingEnabled SetIdentityFeedbackForwardingEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled
type ServiceConfiguration SetIdentityFeedbackForwardingEnabled # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ServiceConfiguration SetIdentityFeedbackForwardingEnabled = SesConfiguration

data SetIdentityFeedbackForwardingEnabledResponse #

The response sent back by SES after the `SetIdentityFeedbackForwardingEnabled` command.

Constructors

SetIdentityFeedbackForwardingEnabledResponse |

#### Instances

Instances details

AsMemoryResponse SetIdentityFeedbackForwardingEnabledResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Associated Types

type MemoryResponse SetIdentityFeedbackForwardingEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type MemoryResponse SetIdentityFeedbackForwardingEnabledResponse = SetIdentityFeedbackForwardingEnabledResponse

Methods

loadToMemory :: SetIdentityFeedbackForwardingEnabledResponse -> ResourceT IO (MemoryResponse SetIdentityFeedbackForwardingEnabledResponse) #

Show SetIdentityFeedbackForwardingEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled Methods showsPrec :: Int -> SetIdentityFeedbackForwardingEnabledResponse -> ShowS # show :: SetIdentityFeedbackForwardingEnabledResponse -> String # showList :: [SetIdentityFeedbackForwardingEnabledResponse] -> ShowS #
Eq SetIdentityFeedbackForwardingEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled Methods (==) :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> Bool # (/=) :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> Bool #
Ord SetIdentityFeedbackForwardingEnabledResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Methods

compare :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> Ordering #

(<) :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> Bool #

(<=) :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> Bool #

(>) :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> Bool #

(>=) :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> Bool #

max :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse #

min :: SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse -> SetIdentityFeedbackForwardingEnabledResponse #

ResponseConsumer SetIdentityFeedbackForwardingEnabled SetIdentityFeedbackForwardingEnabledResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Associated Types

type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityFeedbackForwardingEnabled -> IORef (ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse) -> HTTPResponseConsumer SetIdentityFeedbackForwardingEnabledResponse #

Transaction SetIdentityFeedbackForwardingEnabled SetIdentityFeedbackForwardingEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled
type MemoryResponse SetIdentityFeedbackForwardingEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type MemoryResponse SetIdentityFeedbackForwardingEnabledResponse = SetIdentityFeedbackForwardingEnabledResponse
type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse = SesMetadata